# Insert

下列哪一个选项的插入语句有错误？

## 答案

```sql
insert into cust set first_name = 'Mars', last_name = 'Liu', city = 'Tian Jin';
```

## 选项

### 标准插入语句

```sql
insert into cust(first_name, last_name, city) values('Mars', 'Liu', 'Tian Jin');
```

### insert 可以使用 select 子句

```sql
insert into cust(first_name, last_name, city) select 'Mars', 'Liu', 'Tian Jin';
```

### insert 可以插入多条 values

```sql
insert into cust(first_name, last_name, city) 
    values ('Mars', 'Liu', 'Tian Jin'), ('Milly', 'Lee', 'Tian Jin');
```