# Rollback

下列哪一个选项可以正确的回滚写入？

## 答案

```sql
begin;
insert into cust(c_city, c_first, c_last) select 'Tian Jin', 'Mars', 'Liu';
rollback ;
```

## 选项

### 先 commit 了

```sql
begin;
insert into cust(c_city, c_first, c_last) select 'Tian Jin', 'Mars', 'Liu';
commit;
rollback ;
```

### 不必要的 end

```sql
begin;
insert into cust(c_city, c_first, c_last) select 'Tian Jin', 'Mars', 'Liu';
rollback ;
end;
```

### 没有发起事务

```sql
insert into cust(c_city, c_first, c_last) select 'Tian Jin', 'Mars', 'Liu';
rollback ;
```
